Bug 451359 - unable to create F9-ISO for i386 - .discinfo not created
unable to create F9-ISO for i386 - .discinfo not created
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: revisor (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-13 17:13 EDT by renke
Modified: 2008-06-16 05:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 05:58:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description renke 2008-06-13 17:13:01 EDT
Description of problem:
when trying to create a F9-i386 installation DVD with F9 testing (as of #448090)
the step Splitting Build Tree fails because of the missing file .discinfo

Version-Release number of selected component (if applicable):
revisor 2.0.5-15.fc8 with config and comps extracted from 2.1.0-1rc7.fc9

Steps to Reproduce:
1. install revisor
2. extract configs from F9-revisor-RPM and copy to appropriate directories
3. create an installation DVD
  
Actual results:
GUI hangs in state Splitting Build Tree

Expected results:
ISO is created

Additional info:
from the revisor debug output

Initting progress bar for Splitting Build Tree (CD)
dist_dir is /var/tmp/revisor-pungi/9/f9-i386/i386/os-cd
src_dir is /var/tmp/revisor-pungi/9/f9-i386/source/SRPMS
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/revisor/ready_screen.py", line 181, in
button_forward_clicked
    self.gui.displayBuildMedia()
  File "/usr/lib/python2.5/site-packages/revisor/gui.py", line 278, in
displayBuildMedia
    self.BuildMedia.start()
  File "/usr/lib/python2.5/site-packages/revisor/build_media.py", line 65, in start
    self.base.lift_off()
  File "/usr/lib/python2.5/site-packages/revisor/base.py", line 933, in lift_off
    self.buildInstallationMedia()
  File "/usr/lib/python2.5/site-packages/revisor/base.py", line 1346, in
buildInstallationMedia
    mypungi.doSplittree(media_size=size,discdir=discdir,callback=pungicallback)
  File "/usr/lib/python2.5/site-packages/revisor/pungi.py", line 318, in doSplittree
    output = timber.main()
  File "/usr/lib/anaconda-runtime/splittree.py", line 391, in main
    self.createSplitDirs()
  File "/usr/lib/anaconda-runtime/splittree.py", line 233, in createSplitDirs
    self.createDiscInfo(i)
  File "/usr/lib/anaconda-runtime/splittree.py", line 141, in createDiscInfo
    raise RuntimeError, "CRITICAL ERROR : .discinfo doesn't exist in the unified
tree, not splitting"
RuntimeError: CRITICAL ERROR : .discinfo doesn't exist in the unified tree, not
splitting
Comment 1 Jeroen van Meeuwen 2008-06-14 11:40:48 EDT
Revisor on Fedora 8 cannot compose Fedora 9 (yet). It'll take me some time to
enable F-8 to do so, and I cannot guarantee that it'll ever work. Meanwhile, I
would suggest you upgrade to Fedora 9 which has revisor-2.1.1-4 to compose Fedora 9.

I'm sorry for the inconvenience
Comment 2 renke 2008-06-14 13:02:14 EDT
okay, I see.

thanks for the answer, the issue can be closed.
Comment 3 Jeroen van Meeuwen 2008-06-14 15:08:14 EDT
Thank you for understanding, but I actually made some progress with composing
Fedora 9 using revisor-2.0.5-17 (new version of course), so I'll not close this
bug yet.
Comment 4 Jeroen van Meeuwen 2008-06-14 21:30:40 EDT
If you could try these packages;

http://koji.fedoraproject.org/koji/taskinfo?taskID=662333

and tell me if they work for you... I might release them as an update
Comment 5 renke 2008-06-15 10:01:59 EDT
YES! WFM, thanks a lot, I have some ISOs (not tested yet [no blank CDs or
DVDs...] but it looks good.

The only point were the scripts in /usr/share/revisor/scripts/ without the flag
executable but this is maybe related with my rpm-rebuild environment.
Comment 6 Jeroen van Meeuwen 2008-06-16 05:38:01 EDT
you could test the iso's with qemu or the more speedy qemu-kvm;

Note that I found that Revisor does not forcibly pull in all the required
packages for the graphical installer to compose. This may cause weird font
issues in the graphical installer unless you specify those packages in the
kickstart file or select them by hand.

However, revisor functionality improves that in 2.1.x (Fedora 9).

I fixed the non-executable scripts issue and am now building revisor-2.0.5.1-2.fc8
Comment 7 Jeroen van Meeuwen 2008-06-16 05:58:37 EDT
There you go: http://koji.fedoraproject.org/koji/buildinfo?buildID=52730

I'm closing this bug now, feel free to reopen if you still experience issues

Note You need to log in before you can comment on or make changes to this bug.